Bug 177651 - segfault aborts xsane
segfault aborts xsane
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-12 12:35 EST by David Woodhouse
Modified: 2008-03-10 19:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 19:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-01-12 12:35:15 EST
Almost like the problem I reported on FC4 recently, only in a different driver.
This time it's hpaio.

*** glibc detected *** /usr/lib/gimp/2.0/plug-ins/xsane: free(): invalid
pointer: 0x0ebc5718 ***
======= Backtrace: =========
/lib/libc.so.6[0xf30115c]
/lib/libc.so.6(__libc_free+0xc4)[0xf30441c]
/usr/lib/sane/libsane-hpaio.so.1(sane_hpaio_open+0x278)[0xebbbde0]
/usr/lib/libsane.so.1(sane_dll_open+0x13c)[0xffdc4dc]
/usr/lib/libsane.so.1(sane_open+0x24)[0xffdcce4]
/usr/lib/gimp/2.0/plug-ins/xsane[0x10066b9c]
/usr/lib/gimp/2.0/plug-ins/xsane[0x10068cfc]
/usr/lib/gimp/2.0/plug-ins/xsane[0x10043340]
/usr/lib/libgimp-2.0.so.0(gimp_main+0x594)[0xfd003b4]
/usr/lib/gimp/2.0/plug-ins/xsane[0x10069b18]
/lib/libc.so.6[0xf2a9280]
/lib/libc.so.6(__libc_start_main+0x138)[0xf2a948c]
======= Memory map: ========
00100000-00103000 r-xp 00100000 00:00 0
0dc40000-0dc4f000 r-xp 00000000 08:05 949581                            
/usr/lib/sane/libsane-net.so.1.0.17
0dc4f000-0dc5f000 ---p 0000f000 08:05 949581                            
/usr/lib/sane/libsane-net.so.1.0.17
0dc5f000-0dc60000 rw-p 0000f000 08:05 949581                            
/usr/lib/sane/libsane-net.so.1.0.17
0dc70000-0dc7e000 r-xp 00000000 08:05 949503                            
/usr/lib/sane/libsane-abaton.so.1.0.17
0dc7e000-0dc8d000 ---p 0000e000 08:05 949503                            
/usr/lib/sane/libsane-abaton.so.1.0.17
0dc8d000-0dc8e000 rw-p 0000d000 08:05 949503                            
/usr/lib/sane/libsane-abaton.so.1.0.17
0dc9e000-0dcae000 r-xp 00000000 08:05 949505                            
/usr/lib/sane/libsane-agfafocus.so.1.0.17
0dcae000-0dcaf000 rw-p 00010000 08:05 949505                            
/usr/lib/sane/libsane-agfafocus.so.1.0.17
0dcbf000-0dcd0000 r-xp 00000000 08:05 949507                            
/usr/lib/sane/libsane-apple.so.1.0.17
0dcd0000-0dce0000 ---p 00011000 08:05 949507                            
/usr/lib/sane/libsane-apple.so.1.0.17
0dce0000-0dce1000 rw-p 00011000 08:05 949507                            
/usr/lib/sane/libsane-apple.so.1.0.17
0dcf1000-0dd15000 r-xp 00000000 08:05 949515                            
/usr/lib/sane/libsane-avision.so.1.0.17
0dd15000-0dd25000 ---p 00024000 08:05 949515                            
/usr/lib/sane/libsane-avision.so.1.0.17
0dd25000-0dd27000 rw-p 00024000 08:05 949515                            
/usr/lib/sane/libsane-avision.so.1.0.17
0dd27000-0dd29000 rw-p 0dd27000 00:00 0
0dd39000-0dd4e000 r-xp 00000000 08:05 949509                            
/usr/lib/sane/libsane-artec.so.1.0.17
0dd4e000-0dd5e000 ---p 00015000 08:05 949509                            
/usr/lib/sane/libsane-artec.so.1.0.17
0dd5e000-0dd5f000 rw-p 00015000 08:05 949509                            
/usr/lib/sane/libsane-artec.so.1.0.17
0dd5f000-0dd67000 rw-p 0dd5f000 00:00 0
0dd77000-0dd90000 r-xp 00000000 08:05 949511                            
/usr/lib/sane/libsane-artec_eplus48u.so.1.0.17
0dd90000-0dda0000 ---p 00019000 08:05 949511                            
/usr/lib/sane/libsane-artec_eplus48u.so.1.0.17
0dda0000-0dda1000 rw-p 00019000 08:05 949511                            
/usr/lib/sane/libsane-artec_eplus48u.so.1.0.17
0dda1000-0dda7000 rw-p 0dda1000 00:00 0
0ddb7000-0ddbf000 r-xp 00000000 08:05 949513                            
/usr/lib/sane/libsane-as6e.so.1.0.17
0ddbf000-0ddcf000 ---p 00008000 08:05 949513                            
/usr/lib/sane/libsane-as6e.so.1.0.17
0ddcf000-0ddd0000 rw-p 00008000 08:05 949513                            
/usr/lib/sane/libsane-as6e.so.1.0.17
0dde0000-0ddf8000 r-xp 00000000 08:05 949517                            
/usr/lib/sane/libsane-bh.so.1.0.17
0ddf8000-0de07000 ---p 00018000 08:05 949517                            
/usr/lib/sane/libsane-bh.so.1.0.17
0de07000-0de09000 rw-p 00017000 08:05 949517                            
/usr/lib/sane/libsane-bh.so.1.0.17
0de19000-0de32000 r-xp 00000000 08:05 949519                            
/usr/lib/sane/libsane-canon.so.1.0.17
0de32000-0de42000 ---p 00019000 08:05 949519                            
/usr/lib/sane/libsane-canon.so.1.0.17
0de42000-0de43000 rw-p 00019000 08:05 949519
Comment 1 Sammy 2006-01-13 09:57:40 EST
I compiled 0.98b myself from soource rpm and I am not seeing this problem
(everything at current rawhide level).
Comment 2 Nils Philippsen 2006-01-16 09:36:21 EST
Please check whether your problem persists with xsane-0.99-2 which should hit
Rawhide mirrors shortly.
Comment 3 David Woodhouse 2006-02-07 05:07:51 EST
still happens in rawhide-20060206
Comment 4 Tim Waugh 2006-03-23 08:15:48 EST
David: what version of libsane-hpaio are you using?
Comment 5 David Woodhouse 2006-03-23 08:42:07 EST
Happens still in clean FC5 install. 

libsane-hpaio-0.9.8-6

This machine needs to stay on FC-4 (except for the occasional reboot into FC-5
or reinstall into its spare partition for testing), because I need Evolution
working. But I can put the scanner into a different FC-5 machine if you want to
poke at it.
Comment 6 Tim Waugh 2006-03-23 11:36:43 EST
Yes please.
Comment 7 Till Maas 2008-01-05 08:43:28 EST
Is this bug still there on Fedora 7 or 8?
Comment 8 petrosyan 2008-03-10 19:58:09 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.